# xapian/valueiterator.h File Reference

classes for iterating through values More...

## Classes

class | Xapian::ValueIterator
| An iterator pointing to values associated with a document. More...

## Namespaces

namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Functions

bool | Xapian::operator== (const ValueIterator &a, const ValueIterator &b)
| Equality test for ValueIterator objects.
bool | Xapian::operator!= (const ValueIterator &a, const ValueIterator &b)
| Inequality test for ValueIterator objects.

## Detailed Description

classes for iterating through values